curl --request GET \
--url 'https://api-prod.usefini.com/v2/hc-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/hc-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/hc-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"contextFields": [
{
"path": "message.text",
"dataType": "string"
},
{
"path": "user.email",
"dataType": "string"
}
],
"operatorTypes": [
"==",
"!=",
"contains"
],
"quantifierTypes": [
"ANY",
"ALL",
"NONE"
]
}
Intent Rules
Get intent-rule fields context
Get the fields and resources available to intent-rule trees.
GET
/
v2
/
hc-rules
/
fields-context
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/hc-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/hc-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/hc-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"contextFields": [
{
"path": "message.text",
"dataType": "string"
},
{
"path": "user.email",
"dataType": "string"
}
],
"operatorTypes": [
"==",
"!=",
"contains"
],
"quantifierTypes": [
"ANY",
"ALL",
"NONE"
]
}
Returns the workspace attributes, actions, tags, forms, operators, and sources that can be referenced by an intent-rule tree.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs read scope.Response
FieldResource[]
Workspace user attributes with their input and output schemas.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/hc-rules/fields-context/public' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch('https://api-prod.usefini.com/v2/hc-rules/fields-context/public', {
method: 'GET',
headers: {
Authorization: 'Bearer fini_your_api_key'
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api-prod.usefini.com/v2/hc-rules/fields-context/public",
headers={"Authorization": "Bearer fini_your_api_key"},
)
data = response.json()
{
"contextFields": [
{
"path": "message.text",
"dataType": "string"
},
{
"path": "user.email",
"dataType": "string"
}
],
"operatorTypes": [
"==",
"!=",
"contains"
],
"quantifierTypes": [
"ANY",
"ALL",
"NONE"
]
}
FieldResource[]
Workspace actions available to Tool nodes.
FieldResource[]
Fini-provided actions available to Tool nodes.
TagGroup[]
Input tag groups and their tags.
WidgetForm[]
Widget forms and their typed fields.
ContextField[]
Empty for intent rules.
Operator[]
Condition operators as
{ value, label } objects.Quantifier[]
Array quantifiers as
{ value, label } objects.string[]
Interaction sources available in the workspace.
Errors
400 Bad Request
400 Bad Request
type is not a supported rule type.401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
read scope required for this route.Was this page helpful?

